import { ChainEntity, Change, Changed, Created, EntityFilter, Person, PersonFilter } from '@yukawa/chain-base-angular-domain';
import { Account } from '@yukawa/chain-security-angular-core';
/**
*	@generator rest2ts
*	javaType: inc.yukawa.chain.modules.main.core.domain.user.GroupContext <br/>
*/
export interface GroupContext {
    groups?: string[];
    orgId?: string;
}
/**
*	@generator rest2ts
*	javaType: inc.yukawa.chain.modules.main.core.domain.user.User <br/>
*/
export interface User extends ChainEntity, Changed, Created {
    account?: Account;
    change?: Change;
    created?: Change;
    defaultOrgId?: string;
    groupContexts?: GroupContext[];
    /**
    *	@deprecated
    */
    groups?: string[];
    orgIds?: string[];
    person?: Person;
    /**
    *	@example admin
    */
    username?: string;
}
/**
*	@generator rest2ts
*	javaType: inc.yukawa.chain.modules.main.core.domain.user.UserFilter <br/>
*/
export interface UserFilter extends EntityFilter {
    defaultOrgId?: string;
    fields?: string[];
    groups?: string[];
    headers?: string[];
    orgIds?: string[];
    personFilter?: PersonFilter;
    /**
    *	@example admin
    */
    username?: string;
}
